xssl_getdelim(3)

NAME
xssl_getdelim - API function

SYNOPSIS
#include <gnutls/xssl.h>

ssize_t xssl_getdelim(xssl_t sbuf, char ** lineptr, size_t * n, int delimiter);

ARGUMENTS

xssl_t sbuf
    -- undescribed --

char ** lineptr
    a pointer.

size_t * n
    The size of lineptr .

int delimiter
    The delimiter to stop reading at.

DESCRIPTION
Read up to (and including) a delimiter from &sb into *LINEPTR (and NUL-terminate it). lineptr is a pointer returned from gnutls_malloc() (or NULL), pointing to n characters of space. It is realloc'ed as necessary. Only fatal errors are returned by this function. Returns the number of characters read (not including the null terminator), or a negative error code on error.

SINCE
3.1.7

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/